package com.xingxi.business.News.service;

import com.xingxi.business.News.domain.News;

import java.util.List;

/**
 * 新闻广告Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface INewsService {
    /**
     * 查询新闻广告
     *
     * @param newsId 新闻广告主键
     * @return 新闻广告
     */
    News selectNewsByNewsId(Long newsId);

    /**
     * 查询新闻广告列表
     *
     * @param News 新闻广告
     * @return 新闻广告集合
     */
    List<News> selectNewsList(News News);

    /**
     * 新增新闻广告
     *
     * @param News 新闻广告
     * @return 结果
     */
    int insertNews(News News);

    /**
     * 新增新闻广告
     *
     * @param NewsList 新闻广告
     * @return 结果
     */
    int batchInsertNews(List<News> NewsList);

    /**
     * 修改新闻广告
     *
     * @param News 新闻广告
     * @return 结果
     */
    int updateNews(News News);

    /**
     * 批量删除新闻广告
     *
     * @param newsIds 需要删除的新闻广告主键集合
     * @return 结果
     */
    int deleteNewsByNewsIds(String newsIds);

    /**
     * 删除新闻广告信息
     *
     * @param newsId 新闻广告主键
     * @return 结果
     */
    int deleteNewsByNewsId(Long newsId);

    /**
     * 逻辑删除新闻广告
     *
     * @param newsId 新闻广告主键
     * @return 结果
     */
    int logicDeleteNewsByNewsId(Long newsId);

    /**
     * 逻辑批量删除新闻广告
     *
     * @param newsIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteNewsByNewsIds(String[] newsIds);

    /**
     * 逻辑批量删除新闻广告
     *
     * @param News 新闻广告
     * @return 结果
     */
    int logicDeleteNewsByCondition(News News);
}
